> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.awork.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server.

# Returns dashboards for the current user.

GET https://api.awork.com/api/v1/me/dashboards

Returns dashboards for the current user. Set `includeWidgets` to include widget details. A default dashboard is created when none exists.The user must be the creator.

Reference: https://developers.awork.com/apiv1/dashboards/get-me-dashboards

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `includeWidgets` (boolean, optional, default: false) — Include widgets.

## Response

### 200

OK

- `list of Dashboard`

## Types

### Dashboard

- `id` (string, optional) — The id of the dashboard.
- `userId` (string, optional) — The id of the user that the dashboard belongs to.
- `createdOn` (string, optional) — The creation date.
- `updatedOn` (string, optional) — The date when the entity was last updated.
- `widgets` (list of Widget, optional, nullable) — A list of all widgets of the dashboard.

### Widget

- `id` (string, optional) — The id of the widget.
- `type` (string, optional, nullable) — The type of the widget.
- `name` (string, optional, nullable) — The name of the widget.
- `entityId` (string, optional, nullable) — The id of the entity that the widget is referencing.
- `filterId` (string, optional, nullable) — The id of the filter that the widget is referencing.
- `createdOn` (string, optional) — The creation date.
- `createdBy` (string, optional, nullable) — The id of the user who created the entity.
- `updatedOn` (string, optional) — The date when the entity was last updated.
- `updatedBy` (string, optional, nullable) — The id of the user who last updated the entity.
- `column` (integer, optional) — The column of the widget within the dashboard.
- `order` (integer, optional) — The order of the widget within the column.
- `settings` (string, optional, nullable) — The settings of the widget.
- `value` (string, optional, nullable) — The value of a widget.

## Examples

**Response**

```json
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "userId": "123e4567-e89b-12d3-a456-426614174000",
    "createdOn": "2024-01-15T09:30:00Z",
    "updatedOn": "2024-01-15T09:30:00Z",
    "widgets": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "type": "task-views",
        "name": "Unassigned Tasks",
        "entityId": "123e4567-e89b-12d3-a456-426614174000",
        "filterId": "123e4567-e89b-12d3-a456-426614174000",
        "createdOn": "2024-01-15T09:30:00Z",
        "createdBy": "123e4567-e89b-12d3-a456-426614174000",
        "updatedOn": "2024-01-15T09:30:00Z",
        "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
        "column": 0,
        "order": 0,
        "settings": "{ \"showPrivate\": true }",
        "value": null
      }
    ]
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.awork.com/api/v1/me/dashboards"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.awork.com/api/v1/me/dashboards';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.awork.com/api/v1/me/dashboards"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.awork.com/api/v1/me/dashboards")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.awork.com/api/v1/me/dashboards")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.awork.com/api/v1/me/dashboards', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.awork.com/api/v1/me/dashboards");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/me/dashboards")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```